accessing
asDictionaryForWeb

	| tweets tweetsHistogramData repliesHistogramData quotesHistogramData retweetsHistogramData |
	tweets := self messages.
	tweetsHistogramData := self tweetsByTimeSpan: 7.
	repliesHistogramData := self repliesByTimeSpan: 7.
	quotesHistogramData := self quotesReportData.
	retweetsHistogramData := self retweetsReportData.
	
	^ { 'profile-card-avatar' -> self profileImageFile fullName.
	'profile-card-avatar-url' -> self profileImageUrl.
	'profile-card-fullname' -> self name .
	'profile-card-username' -> self userName .
	'profile-bio' -> self profileBio.
	'messages-size' -> tweets size.
	'messages-newest' -> tweets newest created asDate greaseString.
	'messages-oldest' -> tweets oldest created asDate greaseString.
	'tweets-histogram-labels' -> tweetsHistogramData third.
	'tweets-histogram-quantity' -> tweetsHistogramData second.
	'replies-histogram-labels' -> repliesHistogramData third.
	'replies-histogram-quantity' -> repliesHistogramData second.
	'retweets-histogram-labels' -> retweetsHistogramData third.
	'retweets-histogram-quantity' -> retweetsHistogramData second.
	'quotes-histogram-labels' -> quotesHistogramData third.
	'quotes-histogram-quantity' -> quotesHistogramData second.
	'wordcloud-data' -> self wordcloudData first.
	} asDictionary