accessing
installCommons

	| commonFiles folder |
	commonFiles := #(
		'https://mutabit.com/repos.fossil/mutabit/raw?name=wiki/commons/stopwords-es.txt&ci=tip'
		'https://mutabit.com/repos.fossil/mutabit/raw?name=wiki/commons/stopwords-en.txt&ci=tip'
		'https://mutabit.com/repos.fossil/mutabit/uv/wiki/commons/nube-mascara.jpg'
		'https://mutabit.com/repos.fossil/mutabit/uv/wiki/commons/logo-mutabit-negro.png').
	folder := TweetsCollection dataStore / 'commons'.
	folder exists 
		ifTrue: [ folder ensureDeleteAllChildren ]
		ifFalse: [ folder ensureCreateDirectory].
	commonFiles do: [ :fileUrl | | temp |
		ZnClient new 
			url: fileUrl;
			downloadTo: folder.
			temp := (folder children select: [ :file | file basename includesSubstring: 'raw' ]).
			temp isNotEmpty ifTrue: [
				temp first renameTo: (((fileUrl splitOn: 'raw?') second splitOn: '/') last removeSuffix: '&ci=tip')].
	].
	^ folder	