accessing
installTemplate

	| templateFiles folder |
	templateFiles := #(
'https://mutabit.com/repos.fossil/mutabit/raw?name=plantillas/TwentySecondsCV/twentysecondcvMod.cls&ci=tip'
'https://mutabit.com/repos.fossil/mutabit/raw?name=plantillas/TwentySecondsCV/template.mus.tex&ci=tip'
'https://mutabit.com/repos.fossil/mutabit/raw?name=plantillas/SarissaPersonalBlog/index.mus.html&ci=tip'
'https://mutabit.com/repos.fossil/mutabit/raw?name=plantillas/SarissaPersonalBlog/output.css&ci=tip'
'https://mutabit.com/repos.fossil/mutabit/raw?name=plantillas/SarissaPersonalBlog/echarts-wordcloud.min.js&ci=tip').
	folder := TweetsCollection dataStore / 'templates'.
	folder exists 
		ifTrue: [ folder ensureDeleteAllChildren ]
		ifFalse: [ folder ensureCreateDirectory].
	templateFiles do: [ :fileUrl |
		ZnClient new 
			url: fileUrl;
			downloadTo: folder.
			(folder children detect: [ :file | file basename includesSubstring: 'raw' ])
				renameTo: (((fileUrl splitOn: 'raw?') second splitOn: '/') last removeSuffix: '&ci=tip')
	].
	^ folder		