ui
gtTweetsFor: aView
	<gtView>
	^ aView explicit
		title: 'Tweets';
		stencil: [ 
			| container imageContainer |
			container := BlElement new
				layout: BlFlowLayout new;
				constraintsDo: [ :c | 
					c vertical fitContent.
					c horizontal matchParent ];
				padding: (BlInsets all: 10).
			self messages do: [ :each |
				imageContainer := BrAsyncWidget new
					aptitude: BrShadowAptitude new;
					background: Color white;
					margin: (BlInsets all: 10);
					constraintsDo: [ :c | 
						c vertical exact: 200. 
						c horizontal exact: 480 ];
					stencil: [ each asCardElement margin: (BlInsets all: 15) ].
				container addChild: imageContainer 
			].
			container asScrollableElement ]