accessing
exportQuotesHistogram

	| quotesOccurrences labels diagram quotesHistogram |
	
	self quotes ifEmpty: [ 
		quotesHistogram := RSChart new.
		quotesHistogram extent: 800@200.
		quotesHistogram build.
		quotesHistogram canvas pdfExporter 
			zoomToShapes;
			noFixedShapes; 
			fileName: (self folder / 'quotes-histogram.pdf')fullName;
			export.
			^ self
	].
	quotesOccurrences := self quotesSortedByOccurrences.
	labels := quotesOccurrences keys.
	labels := labels collect: [ :profiles | ('@', profiles) ].
	quotesHistogram := RSChart new.
	quotesHistogram extent: 800@200.
	diagram := RSBarPlot new 
		y: quotesOccurrences values.
	diagram color: (Color r:(89/255) g:(217/255) b:(95/255)).
	quotesHistogram addPlot: diagram.
	quotesHistogram addDecoration: (RSHorizontalTick new
    	fromNames: labels;
    	labelRotation: 0;
		fontSize: 72 /quotesOccurrences size;
    	yourself).
    quotesHistogram addDecoration: (RSVerticalTick new 
		asFloat: 2;
		fontSize: 72 /quotesOccurrences size).
	quotesHistogram build.
    
    quotesHistogram canvas pdfExporter 
		zoomToShapes;
		noFixedShapes; 
		fileName: (self folder / 'quotes-histogram.pdf')fullName;
		export.
    quotesHistogram canvas pngExporter 
		zoomToShapes;
		noFixedShapes; 
		fileName: (self folder / 'quotes-histogram.png')fullName;
		export.
	^ self folder / 'quotes-histogram.png'